#!/bin/sh
# SSL Fingerprint Checker written by W. Al Maawali 
# (c) 2013 Founder of Eagle Eye Digital Solutions
# http://www.digi77.com
# http://www.om77.net
# script starts here:
# Usage: $. sslf.sh -d yourdomain
# Example: $. sslf.sh -d google.com

#SSL Port
sslport=443

# Accept command line arguments
while [ $# -gt 0 ]
do
    case "$1" in
        -d)  host=$2 ; shift;;
        --)     shift; break;;
        -*)
            echo >&2 \
            "usage: $0 [-d] domain";;
        *)
        break;; # terminate while loop
    esac
    shift
done

#set port and host
host="$host:$sslport"

#get ssl info and strip the fingerprint
echo |\
openssl s_client -connect $host 2>/dev/null |\
openssl x509 -noout -fingerprint | cut -d'=' -f 2